local L = AceLibrary("AceLocale-2.2"):new("oTweaks")

L:RegisterTranslations("enUS", function()
return {
	["Camera"] = true,
	["Camera settings."] = true,
	["Camera: Zoom speed"] = true,
	["Change the camera zoom speed. Default: 8.33"] = true,
	["Camera: Max zoom out distance"] = true,
	["Change how far you can zoom out with the camera. Default: 15"] = true,

	["Combat Log"] = true,
	["Combat log settings."] = true,
	["Combat Log: Creature range"] = true,
	["Creature combat log range. Default: 30"] = true,
	["Combat Log: Friendly players range"] = true,
	["Friendly players combat log range. Default: 50"] = true,
	["Combat Log: Friendly players pet range"] = true,
	["Friendly players pet combat log range. Default: 50"] = true,
	["Combat Log: Hostile players range"] = true,
	["Hostile players combat log range. Default: 50"] = true,
	["Combat Log: Hostile players pet range"] = true,
	["Hostile players pet combat log range. Default: 50"] = true,
	["Combat Log: Party members range"] = true,
	["Party members combat log range. Default: 50"] = true,
	["Combat Log: Party members' pet range"] = true,
	["Party members' pet combat log range. Default: 50"] = true,
	["Combat Log: Death range"] = true,
	["Range for death messages. Default: 60"] = true,

	["Targeting"] = true,
	["Tab targeting settings."] = true,
	["Targeting: Tab distance"] = true,
	["Change the tab targeting range. Default: 41"] = true,
	["Targeting: Tab radius"] = true,
	["Change the tab targeting radius. Default: 10"] = true,

}
end)

L:RegisterTranslations("koKR", function()
return {
	["Camera"] = "카메라",
	["Camera settings."] = "카메라에 관한 설정",
	["Camera: Zoom speed"] = "카메라: 줌 속도",
	["Change the camera zoom speed. Default: 8.33"] = "카메라의 줌 속도를 변경합니다. 기본값: 8.33",
	["Camera: Max zoom out distance"] = "카메라: 최대 시야 거리",
	["Change how far you can zoom out with the camera. Default: 15"] = "최대 시야 거리를 변경합니다. 기본값: 15",

	["Combat Log"] = "전투 로그",
	["Combat log settings."] = "전투 로고에 관한 설정",
	["Combat Log: Creature range"] = "전투 로그: NPC",
	["Creature combat log range. Default: 30"] = "NPC의 전투 로그의 표시 범위를 설정합니다. 기본값: 30",
	["Combat Log: Friendly players range"] = "전투 로그: 우호적 플레이어",
	["Friendly players combat log range. Default: 50"] = "우호적 플레이어의 전투 로그의 표시 범위를 설정합니다. 기본값: 50",
	["Combat Log: Friendly players pet range"] = "전투 로그: 우호적 플레이어의 소환수",
	["Friendly players pet combat log range. Default: 50"] = "우호적 플레이어의 소환수의 전투 로그의 표시 범위를 설정합니다. 기본값: 50",
	["Combat Log: Hostile players range"] = "전투 로그: 적대적 플레이어",
	["Hostile players combat log range. Default: 50"] = "적대적 플레이어의 전투 로그의 표시 범위를 설정합니다. 기본값: 50",
	["Combat Log: Hostile players pet range"] = "전투 로그: 적대적 플레이어의 소환수",
	["Hostile players pet combat log range. Default: 50"] = "적대적 플레이어의 소환수의 전투 로그의 표시 범위를 설정합니다. 기본값: 50",
	["Combat Log: Party members range"] = "전투 로그: 파티원",
	["Party members combat log range. Default: 50"] = "파티원의 전투 로그의 표시 범위를 설정합니다. 기본값: 50",
	["Combat Log: Party members' pet range"] = "전투 로그: 파티원 소환수",
	["Party members' pet combat log range. Default: 50"] = "파티원의 소환수의 전투 로그의 표시 범위를 설정합니다. 기본값: 50",
	["Combat Log: Death range"] = "전투 로그: 죽음",
	["Range for death messages. Default: 60"] = "전투 로그 중 사망 메세지의 표시 범위를 설정합니다. 기본값: 60",

	["Targeting"] = "대상 선택",
	["Tab targeting settings."] = "탭키 사용에 관한 설정",
	["Targeting: Tab distance"] = "대상 선택: 탭 거리",
	["Change the tab targeting range. Default: 41"] = "탭키를 사용해서 대상을 선택할 수 있는 거리를 변경합니다. 기본값: 41",
	["Targeting: Tab radius"] = "대상 선택: 탭 반경",
	["Change the tab targeting radius. Default: 10"] = "탭키를 사용해서 대상을 선택할 수 있는 반경을 변경합니다. 기본값: 10",

}
end)

local range = function(n, CVar, d, min, max, s)
	return {
		name = n,
		type = "range",
		desc = d,
		get = function()
			return GetCVar(CVar)
		end,
		set = function(a1)
			SetCVar(CVar, a1)
		end,
		min = min,
		max = max,
		step = s
	}
end

local consoleOptions = {
	type="group",
	args = {
		camera = {
			name = L["Camera"],
			type = "group",
			desc = L["Camera settings."],
			args = {
				zoom = range(L["Camera: Zoom speed"], "cameraDistanceMoveSpeed", L["Change the camera zoom speed. Default: 8.33"], 1, 50, 1),
				distance = range(L["Camera: Max zoom out distance"], "cameraDistanceMax", L["Change how far you can zoom out with the camera. Default: 15"], 1, 50, 1),
			}
		},
		combatlog =  {
			name = L["Combat Log"],
			type = "group",
			desc = L["Combat log settings."],
			args = {
				creature = range(L["Combat Log: Creature range"], "CombatLogRangeCreature", L["Creature combat log range. Default: 30"], 5, 200, 5),
				friendlyplayers = range(L["Combat Log: Friendly players range"], "CombatLogRangeFriendlyPlayers", L["Friendly players combat log range. Default: 50"], 5, 200, 5),
				friendlyplayerspets = range(L["Combat Log: Friendly players pet range"], "CombatLogRangeFriendlyPlayersPets", L["Friendly players pet combat log range. Default: 50"], 5, 200, 5),
				hostileplayers = range(L["Combat Log: Hostile players range"], "CombatLogRangeHostilePlayers", L["Hostile players combat log range. Default: 50"], 5, 200, 5),
				hostileplayerspets = range(L["Combat Log: Hostile players pet range"], "CombatLogRangeHostilePlayersPets", L["Hostile players pet combat log range. Default: 50"], 5, 200, 5),
				party = range(L["Combat Log: Party members range"], "CombatLogRangeParty", L["Party members combat log range. Default: 50"], 5, 200, 5),
				partypets	= range(L["Combat Log: Party members' pet range"], "CombatLogRangePartyPet", L["Party members' pet combat log range. Default: 50"], 5, 200, 5),
				death = range(L["Combat Log: Death range"], "CombatDeathLogRange", L["Range for death messages. Default: 60"], 5, 200, 5),
			}
		},
		targeting = {
			name = L["Targeting"],
			type = "group",
			desc = L["Tab targeting settings."],
			args = {
				tabDistance = range(L["Targeting: Tab distance"], "targetNearestDistance", L["Change the tab targeting range. Default: 41"], 1, 50, 1),
				tabRadius = range(L["Targeting: Tab radius"], "targetNearestDistanceRadius", L["Change the tab targeting radius. Default: 10"], 1, 50, 1),
			}
		}
	}
}
oTweaks = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0")

function oTweaks:OnEnable()
	self:RegisterChatCommand({"/otweaks", "/otweak"}, consoleOptions)
end